Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
GRUB2 (1.96) LZO library Problem [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
STTgentoo
n00b
n00b


Joined: 13 Sep 2007
Posts: 43
Location: Bucharest

PostPosted: Wed Dec 03, 2008 2:54 pm    Post subject: GRUB2 (1.96) LZO library Problem [SOLVED] Reply with quote

Hello,

I'm trying to install grub-1.96 on my box but i get everytime this error i have try to build/install by hand LZO Library but still dosen't work

Code:
checking for __lzo_init_v2 in -llzo2... no
checking for __lzo_init_v2 in -llzo... no
checking for __lzo_init2 in -llzo... no
configure: error: LZO library version 1.02 or later is required


And i have lzo-2.03 merge on my system

Please help!!!


Last edited by STTgentoo on Thu Dec 04, 2008 1:29 pm; edited 1 time in total
Back to top
View user's profile Send private message
cyrillic
Watchman
Watchman


Joined: 19 Feb 2003
Posts: 7313
Location: Groton, Massachusetts USA

PostPosted: Wed Dec 03, 2008 6:57 pm    Post subject: Reply with quote

Newer versions of grub2 no longer require lzo (default compression is now lzma).

Have you tried this ebuild ?
https://forums.gentoo.org/viewtopic-t-715590.html
Back to top
View user's profile Send private message
STTgentoo
n00b
n00b


Joined: 13 Sep 2007
Posts: 43
Location: Bucharest

PostPosted: Wed Dec 03, 2008 7:11 pm    Post subject: Reply with quote

Pleas can you tell me how to use that ebuild because i'm a BIG noob in gentoo. :oops:
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Wed Dec 03, 2008 7:25 pm    Post subject: Reply with quote

just save that ebuild to /usr/local/portage/sys-boot/grub/ and emerge it.
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5617
Location: Removed by Neddy

PostPosted: Wed Dec 03, 2008 7:29 pm    Post subject: Reply with quote

loftwyr wrote:
just save that ebuild to /usr/local/portage/sys-boot/grub/ and emerge it.


and setup /usr/local/portage in make.conf as an overlay dir (PORTDIR_OVERLAY="/usr/local/portage")
and echo "local" >> /usr/local/portage/profiles/repo_name
and then digest the ebuild
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
STTgentoo
n00b
n00b


Joined: 13 Sep 2007
Posts: 43
Location: Bucharest

PostPosted: Wed Dec 03, 2008 7:36 pm    Post subject: Reply with quote

I will try this tomorrow thanks. I will come back if it will not work or if ....... :oops:
Back to top
View user's profile Send private message
STTgentoo
n00b
n00b


Joined: 13 Sep 2007
Posts: 43
Location: Bucharest

PostPosted: Thu Dec 04, 2008 1:05 pm    Post subject: Reply with quote

Hello i have get that grub-999.ebuild and i have try to digest him by

Code:
ebuild grub-999.ebuild digest


But i get this error

Code:
/usr/portage/sys-boot/grub/grub-1.96.ebuild: line 29: syntax error near unexpect                                             ed token `||'
/usr/portage/sys-boot/grub/grub-1.96.ebuild: line 29: `      || die "econf faile                                             d" '
 *
 * ERROR: sys-boot/grub-1.96 failed.
 * Call stack:
 *               ebuild.sh, line 1857:  Called die
 * The specific snippet of code:
 *      source "${EBUILD}" || die "error sourcing ebuild"
 *  The die message:
 *   error sourcing ebuild
 *
 * If you need support, post the topmost build error, and the call stack if rele                                             vant.
 * The ebuild environment file is located at '/var/tmp/portage/sys-boot/grub-1.9                                             6/temp/environment'.
 *
!!! getFetchMap(): aux_get() error reading sys-boot/grub-1.96; aborting.


Can you help me please???
Back to top
View user's profile Send private message
STTgentoo
n00b
n00b


Joined: 13 Sep 2007
Posts: 43
Location: Bucharest

PostPosted: Thu Dec 04, 2008 1:29 pm    Post subject: Reply with quote

It's working thanks a lot.
Back to top
View user's profile Send private message
stable.entropy
n00b
n00b


Joined: 27 Mar 2008
Posts: 11

PostPosted: Thu Dec 04, 2008 9:44 pm    Post subject: Reply with quote

I'll say this.

Don't use it.


Grub Legacy is bad enough.
_________________
The Prophecies of Entropy
Back to top
View user's profile Send private message
cyrillic
Watchman
Watchman


Joined: 19 Feb 2003
Posts: 7313
Location: Groton, Massachusetts USA

PostPosted: Thu Dec 04, 2008 10:02 pm    Post subject: Reply with quote

stable.entropy wrote:
Don't use it.

Please share with the group your list of bootloaders that are better than grub2.

ps. We don't want to hear about how awesome ntldr is ... :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum